#VU52749 Infinite loop in F5 Networks, Inc. Client/Desktop applications


Published: 2021-04-29

Vulnerability identifier: #VU52749

Vulnerability risk: Medium

CVSSv3.1:

CVE-ID: CVE-2021-23009

CWE-ID: CWE-835

Exploitation vector: Network

Exploit availability: No

Vulnerable software:
BIG-IP
Hardware solutions / Firmware
BIG-IP DDHD
Hardware solutions / Firmware
BIG-IP SSLO
Hardware solutions / Firmware
BIG-IP LTM
Hardware solutions / Security hardware applicances
BIG-IP AFM
Hardware solutions / Security hardware applicances
BIG-IP Analytics
Hardware solutions / Security hardware applicances
BIG-IP APM
Hardware solutions / Security hardware applicances
BIG-IP ASM
Hardware solutions / Security hardware applicances
BIG-IP FPS
Hardware solutions / Security hardware applicances
BIG-IP GTM
Hardware solutions / Security hardware applicances
BIG-IP PEM
Hardware solutions / Security hardware applicances
BIG-IP AAM
Hardware solutions / Routers & switches, VoIP, GSM, etc
BIG-IP DNS
Hardware solutions / Routers & switches, VoIP, GSM, etc
BIG-IP Link Controller
Hardware solutions / Routers & switches, VoIP, GSM, etc
BIG-IP Advanced WAF
Client/Desktop applications / Antivirus software/Personal firewalls

Vendor: F5 Networks, Inc.

Description

The vulnerability allows a remote attacker to perform a denial of service (DoS) attack.

The vulnerability exists due to infinite loop when processing HTTP/2 requests in TMM module. A remote attacker can send specially crafted HTTP/2 packets to the system and cause a denial of service condition.

Mitigation
Install updates from vendor's website.

Vulnerable software versions

BIG-IP: 15.1.0 - 16.0.1

BIG-IP LTM: 15.1.0 - 16.0.1

BIG-IP AAM: 15.1.0 - 16.0.1

BIG-IP Advanced WAF: 15.1.0 - 16.0.1

BIG-IP AFM: 15.1.0 - 16.0.1

BIG-IP Analytics: 15.1.0 - 16.0.1

BIG-IP APM: 15.1.0 - 16.0.1

BIG-IP ASM: 15.1.0 - 16.0.1

BIG-IP DDHD: 15.1.0 - 16.0.1

BIG-IP DNS: 15.1.0 - 16.0.1

BIG-IP FPS: 15.1.0 - 16.0.1

BIG-IP GTM: 15.1.0 - 16.0.1

BIG-IP Link Controller: 15.1.0 - 16.0.1

BIG-IP PEM: 15.1.0 - 16.0.1

BIG-IP SSLO: 15.1.0 - 16.0.1


CPE

External links
http://support.f5.com/csp/article/K90603426


Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?


Latest bulletins with this vulnerability